/* *****************************************************************************
	FILE: 			TIFF.h
	
	DESCRIPTION: 	prototypes for routines in TIFF.c

   ***************************************************************************** */


#ifndef _TIFF_
#define _TIFF_


//#include "Structs.h"
#include "tiffinfo.h"
#include <QDOffscreen.h>
#include <Files.h>


typedef struct thunk
{
	TIFFPtr 		ti;
	short 			ref; 		// keep the file open
	Boolean 		active;
	short 			depth; 		// desired off-screen depth, or 0 for none
	Boolean 		dither;
	Boolean 		customPalette;
	Boolean 		customMethod;
} TIFF_Rec, **TIFF_RecHdl;


GWorldPtr 			ReadTIFF				( FSSpec *spec, short forImage, OSErr *theError, Rect *bounds );
void 				DisposeThunk			( TIFF_RecHdl th );
void 				InitPalette				( void );
short 				DeepestCLUTScreen		( void );
short 				DepthToSize				( short depth );
short 				FixDepth				( short depth );

// below here are the additional botches I added to compile the thing

#define		THUMB_SIZE		128

extern	GWorldPtr	display_image_GW;
extern	WindowPtr	display_window;


double 	CalculateThumbNailSize( double old_wide, double old_high, Rect *new_size );
OSErr	ConvertTIFFToPICT(FSSpec *theFile,PicHandle *thePicture);

#endif